Skip to main content
GET
/
v1
/
comfyui-workflows
Search comfy uiworkflows
curl --request GET \
  --url https://api.runflow.io/v1/comfyui-workflows \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "workflow_json": {},
      "version": "<string>",
      "is_public": true,
      "status_code": "<string>",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "environment": {},
      "models": {},
      "custom_nodes": {},
      "graph": {},
      "resources": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category_code": "<string>",
      "inputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "default_behavior_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "is_required": true,
          "default_value": {},
          "sort_order": 123,
          "comfyui_node_id": "<string>",
          "comfyui_field_name": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "outputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "sort_order": 123,
          "comfyui_node_id": "<string>",
          "comfyui_field_name": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

embed
string | null

Relation embedding. Available values: inputs, outputs. Use a comma-separated list to request multiple embeds. Protected: inputs requires comfyui-workflows:read; outputs requires comfyui-workflows:read.

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated comfy uiworkflow list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null